//
//  Status.swift
//  MastoSearch
//
//  Created by Shadowfacts on 12/10/21.
//

import Foundation

public struct Status: Identifiable {
    public let id: String
    public let url: String
    public let summary: String?
    public let content: String
    public let published: Date
    
    public init(id: String, url: String, summary: String?, content: String, published: Date) {
        self.id = id
        self.url = url
        self.summary = summary
        self.content = content
        self.published = published
    }
}
